[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TNonFreePooledMemManager.Clear

Clears the memory

## Declaration

Source position: pooledmm.pp line 84

`public procedure TNonFreePooledMemManager.Clear;`

## Description

Clear clears all blocks from memory, freeing the allocated memory blocks. None of the pointers returned by NewItem is valid after a call to Clear

## See also

NewItem |  | Return a pointer to a new memory block

The latest version of this document can be found at lazarus-ccr.sourceforge.net.